Authorization: Bearer ********************curl --location --request PUT '/projects/' \
--header 'Content-Type: application/json' \
--data-raw '{
"project_name": "Network Distribution",
"customer_id": "460000000044001",
"currency_id": "460000000098001",
"description": "Distribution for the system of intermediaries between the producer of goods and/or services and the final user",
"billing_type": "based_on_task_hours",
"rate": " ",
"budget_type": " ",
"budget_hours": " ",
"budget_amount": " ",
"cost_budget_amount": "1000.00",
"user_id": "INV-00003",
"tasks": [
{
"task_name": "INV-00003",
"description": "INV-00003",
"rate": "INV-00003",
"budget_hours": "INV-00003"
}
],
"users": [
{
"user_id": "INV-00003",
"is_current_user": true,
"user_name": "John Doe",
"email": "willsmith@bowmanfurniture.com",
"user_role": "admin",
"status": "active",
"rate": " ",
"budget_hours": " ",
"total_hours": "12:26",
"billed_hours": "12:27",
"un_billed_hours": "00:00",
"cost_rate": 0
}
]
}'{
"code": 0,
"message": "The project information has been updated.",
"project": {
"project_id": "460000000044019",
"project_name": "REAL TIME TRAFFIC FLUX",
"customer_id": "460000000044001",
"customer_name": "SAF Instruments Inc",
"currency_code": "USD",
"description": "The New York State Department of Taxation and Finance",
"status": "active",
"billing_type": "fixed_cost_for_project",
"rate": 1.23,
"budget_type": " ",
"total_hours": "12:26",
"total_amount": 500,
"billed_hours": "12:27",
"billed_amount": 500,
"un_billed_hours": "00:00",
"un_billed_amount": 0,
"billable_hours": "12:26",
"billable_amount": 500,
"non_billable_hours": "0.00",
"non_billable_amount": 0,
"cost_budget_amount": "1000.00",
"is_recurrence_associated": false,
"recurring_invoices": [
"string"
],
"created_time": "2016-06-05T02:30:08-0700",
"show_in_dashboard": true,
"tasks": [
{
"task_id": "460000000044009",
"task_name": "Distribution Analysis",
"description": "The New York State Department of Taxation and Finance",
"rate": 1.23,
"budget_hours": 0,
"total_hours": "12:26",
"billed_hours": "12:27",
"un_billed_hours": "00:00",
"non_billable_hours": "0.00",
"status": "active",
"is_billable": true,
"task_custom_fields": ""
}
],
"users": [
{
"user_id": "460000000036868",
"is_current_user": true,
"user_name": "John Doe",
"email": "willsmith@bowmanfurniture.com",
"user_role": "admin",
"status": "active",
"rate": 1.23,
"budget_hours": 0,
"total_hours": "12:26",
"billed_hours": "12:27",
"un_billed_hours": "00:00",
"cost_rate": 0
}
]
}
}